#!/bin/bash

# This file is part of the OSU HiBD-Benchmarks software package

#JAVA_HOME=<path-to-java-home> #e.g., /home/user/java/jdk1.7.0_25/ (path to JDK) 
BUILD_HEADER="yes"

# RDMA-Memcached: Check for YCSB src dir
# if [[ -z "$YCSB_HOME" || ! -d "$YCSB_HOME" ]]; then
    # Will enter here if not $DIRECTORY exists, even if it contains spaces
    # echo "[ERROR] Invalid or empty variable YCSB_HOME. Exiting."
    # exit 1
# fi

YCSB_HOME=${PWD}"/../../../"

# RDMA-Memcached: Check for RDMA-Libmemcached path for libmemcached library
if [[ -z "$LIBMEMCACHED_HOME" ]]; then
    # Will enter here if not $DIRECTORY exists, even if it contains spaces
    echo "[ERROR] Empty variable LIBMEMCACHED_HOME. Exiting."
    exit 1
fi

if [[ ! -d "$LIBMEMCACHED_HOME" ]]; then
    # Will enter here if not $DIRECTORY exists, even if it contains spaces
    echo "[ERROR] Non-existent parth for LIBMEMCACHED_HOME. Exiting."
    exit 1
fi

if [ "$BUILD_HEADER" == "yes" ]; then
    echo "[RUN] Building headers for edu.osu.hibd.ohb.memcached."
    javah -cp $YCSB_HOME/memcached/target/classes/ -jni edu.osu.hibd.ohb.memcached.RdmaMemcachedClient
fi

LIB="librdmamemcycsb.so"
LIBDIR="../../target/native_libs"
TARGET_LIB=${LIBDIR}"/"${LIB}

if [ -f "$LIB" ]; then
    rm -f ${LIB}
fi 
if [ ! -d "${LIBDIR}" ]; then
    mkdir -p ${LIBDIR}
fi 
if [ -f "$TARGET_LIB" ]; then
    rm -f ${TARGET_LIB}
fi

#complie source code
echo "[RUN] Building ${LIB}."
g++ -std=c++11 -Wall -shared -fpic -o librdmamemcycsb.so memcached_ycsb_client.cc  -I. -I${JAVA_HOME}/include -I${JAVA_HOME}/include/linux -I${LIBMEMCACHED_HOME}/include -L${LIBMEMCACHED_HOME}/lib -lmemcached

#rename share lib
if [ -f "$LIB" ]; then
    mv ${LIB} ${LIBDIR}
    echo "[SUCCESS] Build finished. Check ${TARGET_LIB} for installed library."
    date; ls -ltr ${TARGET_LIB}
    exit 0
else
    echo "[ERROR] Build failed. Check logs above."
    exit 1
fi
